
QGIS Application - Bug report #7461

'difference' blending mode not correctly rendered on a qgis composer map item (but exports 

properly)

2013-03-27 07:02 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category:

Affected QGIS version:master Regression?: No

Operating System: all Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16416

Description

1. Open the attached QGIS project (test-blend.zip)

2. Have a look at beautiful rendering of raster heatmap (with 'difference' blend mode) over streets vector

3. Open print composer 'Composer 1'

4. Notice how the composer's map item has it all wrong, as if the raster black to white was reversed, or the layer order switched

If the user exports the composer to a PNG, the exported map is rendering properly. There's only an issue with the composer's map item

preview. Also, other blend modes, like multiply, are not triggering this bug.

Associated revisions

Revision e6f3b2e0 - 2013-04-17 06:58 AM - Nyall Dawson

Draw background on painter before rendering map for composer map items (fix #7461)

Revision 261dfbf5 - 2013-04-20 08:58 PM - Jürgen Fischer

fix #7461

History

#1 - 2013-04-14 03:20 AM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

#2 - 2013-04-16 10:17 PM - Nyall Dawson

- Status changed from In Progress to Closed

Fixed in changeset commit:"e6f3b2e0086bbfc3beed57855c1ec4b024ccd35d".

Files

test-blend.zip 2.72 MB 2013-03-27 Mathieu Pellerin - nIRV
